// Block Components
import { event as flowers } from "./blocks/flowers.js";
import { event as starsparkEgg } from "./blocks/starsparkEgg.js";

function blockCustomComponents(initEvent) {
    initEvent.registerCustomComponent("sapphire_meteors:flowers", flowers);
    initEvent.registerCustomComponent("sapphire_meteors:starspark_egg", starsparkEgg);
};

// Item Components
import { event as gravityTools } from "./items/gravityTools.js";
import { event as flowerEffects } from "./items/flowerEffects.js";
import { event as stardust } from "./items/stardust.js";
import { event as lighPotion } from "./items/lightPotion.js";

function itemCustomComponents(initEvent) {
    initEvent.registerCustomComponent("sapphire_meteors:gravity_sword", gravityTools.sword);
    initEvent.registerCustomComponent("sapphire_meteors:gravity_pickaxe", gravityTools.pickaxe);
    initEvent.registerCustomComponent("sapphire_meteors:gravity_axe", gravityTools.axe);
    initEvent.registerCustomComponent("sapphire_meteors:gravity_shovel", gravityTools.shovel);
    initEvent.registerCustomComponent("sapphire_meteors:gravity_hoe", gravityTools.hoe);
    initEvent.registerCustomComponent("sapphire_meteors:flower_effects", flowerEffects);
    initEvent.registerCustomComponent("sapphire_meteors:stardust", stardust);
    initEvent.registerCustomComponent("sapphire_meteors:light_potion", lighPotion);
}

export {
    blockCustomComponents,
    itemCustomComponents
};